Bug 1687144 - transparent png not supported in scribus
Summary: transparent png not supported in scribus
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Osvald
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-10 10:19 UTC by cornosier
Modified: 2019-03-29 19:11 UTC (History)
4 users (show)

Fixed In Version: ghostscript-9.26-3.fc28 ghostscript-9.26-3.fc29 ghostscript-9.26-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-20 21:17:16 UTC
Type: Bug


Attachments (Terms of Use)
fichier scribus (43.47 KB, application/xml)
2019-03-10 10:19 UTC, cornosier
no flags Details
image originale (183.88 KB, image/png)
2019-03-10 10:20 UTC, cornosier
no flags Details
image transparente (227.77 KB, image/png)
2019-03-10 10:21 UTC, cornosier
no flags Details
pdf généré (125.32 KB, application/pdf)
2019-03-10 10:22 UTC, cornosier
no flags Details
error obtained (8.06 KB, image/png)
2019-03-10 10:23 UTC, cornosier
no flags Details

Description cornosier 2019-03-10 10:19:40 UTC
Created attachment 1542506 [details]
fichier scribus

Description of problem:

transparent png not supported in scribus

Version-Release number of selected component (if applicable):
ghostscript-9.26-1.fc29
ghostscript-9.26-2.fc29

How reproducible:


Steps to Reproduce:

open the file aubepine.sla
the images on page 2 are a pdf of page 1
On page 1, import the enclosed image aubepineT.png
Export page 1 in pdf by checking 'generate a file for each page'
In page 2, right click on an image and refresh the image
the result is similar to the attached screenshot 'erreur.png'
automatic translation

Comment 1 cornosier 2019-03-10 10:20:58 UTC
Created attachment 1542507 [details]
image originale

Comment 2 cornosier 2019-03-10 10:21:54 UTC
Created attachment 1542508 [details]
image transparente

Comment 3 cornosier 2019-03-10 10:22:40 UTC
Created attachment 1542509 [details]
pdf généré

Comment 4 cornosier 2019-03-10 10:23:36 UTC
Created attachment 1542510 [details]
error obtained

Comment 5 cornosier 2019-03-10 10:25:54 UTC
the problem does not occur with ghostscript-9.25-1.fc29
thank you

Comment 6 Martin Osvald 2019-03-11 08:09:49 UTC
Hello,

thank you for reporting this problem!

I can reproduce by following the provided steps. I will investigate and try to let you know soon.

Kind regards,
-Martin

Comment 9 Fedora Update System 2019-03-11 11:46:36 UTC
ghostscript-9.26-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9f06aa44f6

Comment 10 Fedora Update System 2019-03-11 11:46:43 UTC
ghostscript-9.26-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9f06aa44f6

Comment 11 Fedora Update System 2019-03-11 11:47:47 UTC
ghostscript-9.26-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7b9bb0e426

Comment 12 Fedora Update System 2019-03-11 11:47:54 UTC
ghostscript-9.26-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7b9bb0e426

Comment 13 Fedora Update System 2019-03-11 11:48:13 UTC
ghostscript-9.26-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-15d57af79a

Comment 14 Fedora Update System 2019-03-11 11:48:20 UTC
ghostscript-9.26-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-15d57af79a

Comment 15 Martin Osvald 2019-03-11 11:54:24 UTC
I have identified the upstream commit which is fixing this bug:

http://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=fae21f1668d2b44b18b84cf0923a1d5f3008a696

and created a new build for it.

If you want to test it before it gets to updates/testing repository, you can find it here:

https://koji.fedoraproject.org/koji/buildinfo?buildID=1228909

Comment 16 Fedora Update System 2019-03-11 14:41:40 UTC
ghostscript-9.26-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9f06aa44f6

Comment 17 Fedora Update System 2019-03-11 20:01:02 UTC
ghostscript-9.26-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7b9bb0e426

Comment 18 Fedora Update System 2019-03-11 20:48:38 UTC
ghostscript-9.26-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-15d57af79a

Comment 19 Fedora Update System 2019-03-20 21:17:16 UTC
ghostscript-9.26-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2019-03-20 22:12:36 UTC
ghostscript-9.26-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-03-21 14:40:16 UTC
ghostscript-9.26-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2019-03-29 19:11:14 UTC
ghostscript-9.26-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.